## FmCellRendererPixbuf

FmCellRendererPixbuf — Extended pixbuf cell renderer.

## Functions

FmCellRendererPixbuf * | fm_cell_renderer_pixbuf_new ()
void | fm_cell_renderer_pixbuf_set_fixed_size ()

## Properties

gpointer | info | Read / Write

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkCellRenderer
                ╰── GtkCellRendererPixbuf
                    ╰── FmCellRendererPixbuf

## Description

`include` : libfm/fm-gtk.h

The FmCellRendererPixbuf is extended version of GtkCellRendererPixbuf which adds small link picture if corresponding file is symbolic link.

## Functions

### fm_cell_renderer_pixbuf_new ()

    FmCellRendererPixbuf *
    fm_cell_renderer_pixbuf_new (void);

Creates new FmCellRendererPixbuf object.

#### Returns

a new FmCellRendererPixbuf object.

[transfer full]

Since: 0.1.0

### fm_cell_renderer_pixbuf_set_fixed_size ()

    void
    fm_cell_renderer_pixbuf_set_fixed_size
                                   (FmCellRendererPixbuf *render,
                                    gint w,
                                    gint h);

Sets fixed width and height for rendered object.

#### Parameters

render | the renderer object |
w | new fixed width |
h | new fixed height |

Since: 0.1.0

## Property Details

### The `“info”` property

      “info”                     gpointer

The “info” property is the FmFileInfo of file that this object corresponds to.

Owner: FmCellRendererPixbuf

Flags: Read / Write